package routers

import (
	"spaceofcheng/services/controllers"

	"github.com/astaxie/beego"
)

func getCommonRoutes() beego.LinkNamespace {
	prefix := beego.AppConfig.String("api::common")

	return beego.NSNamespace(prefix,
		beego.NSRouter("/file", &controllers.BaseController{}, "post:FileUpload"),
	)
}
